## org.eclipse.datatools.sqltools.sqleditor.internal
Class SQLEditorActionContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.texteditor.BasicTextEditorActionContributor
              org.eclipse.ui.editors.text.TextEditorActionContributor
                  org.eclipse.datatools.sqltools.sqleditor.internal.SQLEditorActionContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor

    public class SQLEditorActionContributor

extends org.eclipse.ui.editors.text.TextEditorActionContributor

This class installs and manages actions for the SQL Editor.

Constructor Summary
`SQLEditorActionContributor()` Constructs an instance of this class.

Method Summary
`void` `contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)`
`void` `contributeToMenu(org.eclipse.jface.action.IMenuManager mm)` Contributes items to the Workbench Edit menu.
`void` `contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)` Contributes to the given status line.
`void` `contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)`
`void` `dispose()`
`void` `init(org.eclipse.ui.IActionBars bars, org.eclipse.ui.IWorkbenchPage page)`
`void` `setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)` Sets the active editor to this contributor.
`void` `update(boolean isSQLEditorPage)`

Methods inherited from class org.eclipse.ui.editors.text.TextEditorActionContributor
`init`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`getActionBars, getPage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorActionContributor

    public SQLEditorActionContributor()

  Constructs an instance of this class. This is the default constructor.

Method Detail

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager mm)

  Contributes items to the Workbench Edit menu.

  Overrides:
    `contributeToMenu` in class `org.eclipse.ui.editors.text.TextEditorActionContributor`
  Parameters:
    `mm` - the MenuManager to use

### setActiveEditor

    public void setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)

  Sets the active editor to this contributor. This updates the actions to reflect the current editor.

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `org.eclipse.ui.editors.text.TextEditorActionContributor`
  See Also:
    `EditorActionBarContributor.setActiveEditor(org.eclipse.ui.IEditorPart)`, `EditorActionBarContributor#editorChanged`

### contributeToStatusLine

    public void contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)

  Contributes to the given status line.

  The `EditorActionBarContributor` implementation of this method does nothing. Subclasses may reimplement to add to the status line portion of this contribution.

  Overrides:
    `contributeToStatusLine` in class `org.eclipse.ui.texteditor.BasicTextEditorActionContributor`
  Parameters:
    `statusLineManager` - the manager of the status line

### contributeToCoolBar

    public void contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)

  Overrides:
    `contributeToCoolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)

  Overrides:
    `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`

### init

    public void init(org.eclipse.ui.IActionBars bars,
                     org.eclipse.ui.IWorkbenchPage page)

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `init` in class `org.eclipse.ui.part.EditorActionBarContributor`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `dispose` in class `org.eclipse.ui.editors.text.TextEditorActionContributor`

### update

    public void update(boolean isSQLEditorPage)